﻿using Syncfusion.Data;
using Syncfusion.SfDataGrid.XForms;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace SfDataGrid_Sample
{
    public class CustomBehavior : Behavior<SfDataGrid>
    {
        protected override void OnAttachedTo(SfDataGrid dataGrid)
        {
            dataGrid.GridLoaded += DataGrid_GridLoaded;
            base.OnAttachedTo(dataGrid);    
        }

        private void DataGrid_GridLoaded(object sender, GridLoadedEventArgs e)
        {
            SfDataGrid dataGrid = (sender as SfDataGrid);
            for (int i = 0; i < dataGrid.View.Groups.Count; i++)
            {
                var canCollapse = ((dataGrid.View.Groups[i] as Group).Records[0].Data as OrderInfo).IsClosed;
                if (canCollapse)
                    dataGrid.CollapseGroup((Group)dataGrid.View.Groups[i]);
                else
                    dataGrid.ExpandGroup((Group)dataGrid.View.Groups[i]);
            }
        }

        protected override void OnDetachingFrom(SfDataGrid dataGrid)
        {
            dataGrid.GridLoaded -= DataGrid_GridLoaded;
            base.OnDetachingFrom(dataGrid);
        }
    }
}
